Subject: Ae and new package format.

From: Dale Scheetz <[email-masked]>
Date: Wed, 4 Sep 1996 21:59:20 -0400 (EDT)

After getting pgp up and running, I only had to try dpkg-buildpackage
about 4 times before I got it right. (That's actually very easy) At each
step of the way the errors were informative enough to get me down the
road. 
I got several errors about the failure of getpwd to return a path.
Diff -u appears to choke on files that do not end in proper newlines. For
the changelog this required the addition of a "bare" newline at the end of
the file.
I also had to move my pgp keys into /root/.pgp so I could sign the proper
files. I think, from what I have seen in the documentation that I could
have built this as dwarf (rather than root) but the setup for "getting
root privilage" wasn't clear, so copying the keys was the "quick fix".

So far, I really like the new source format. Thank you Ian for all the
fine work and documentation effort! I really like the way that
dpkg-buildpackage (or more likely dpkg-source) packs up the original tree
in a tar.gz file and then gets rid of the tree. Nice space saving,
specialy since it uses the tar.gz file whenever it needs to reference
anything in the original source.
I am still a little foggy about how pre-depends are handled (or if they
are even necessary any longer) and the issues of depends in general, but I
have more complex packages that will surely teach me these points ;-)

As soon as master gets back within my reach, I will upload the new ae
package to incoming. Although there is some discussion about announcing
new Debian packages, it isn't clear if our announcement policy has changed
in general. Do I need to announce the upload to master anywhere besides
here? Do I even need to do that here? It might me nicer if the
announcements were generated when the package was moved from Incoming to
it's host tree. That way they would be less pre-mature.

Thanks,

Dwarf

------------                                          --------------

aka   Dale Scheetz                   Phone:   1 (904) 877-0257
      Flexible Software              Fax:     NONE 
      Black Creek Critters           e-mail:  [email-masked]

------------ If you don't see what you want, just ask --------------